summaryrefslogtreecommitdiff
path: root/app-portage/eix
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /app-portage/eix
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'app-portage/eix')
-rw-r--r--app-portage/eix/Manifest7
-rw-r--r--app-portage/eix/eix-0.33.11.ebuild107
-rw-r--r--app-portage/eix/eix-0.33.6.ebuild107
-rw-r--r--app-portage/eix/eix-0.33.8.ebuild107
-rw-r--r--app-portage/eix/eix-0.34.4.ebuild102
-rw-r--r--app-portage/eix/files/meta-repo.patch12
-rw-r--r--app-portage/eix/metadata.xml27
7 files changed, 469 insertions, 0 deletions
diff --git a/app-portage/eix/Manifest b/app-portage/eix/Manifest
new file mode 100644
index 000000000000..c0493c8c73c8
--- /dev/null
+++ b/app-portage/eix/Manifest
@@ -0,0 +1,7 @@
+DIST eix-0.33.6.tar.xz 625512 BLAKE2B 3f27e3cfa00dc4979bbebbd3b31dfa29e7dcd527fdf7b3ca3fdc6a4ce45a64d7f07fe20ea4a526533aa506c2d9e7fcbbf7b5e83ad6a2d4bbacd1ce75b6cde4ae SHA512 3f04f06533d4e7a0acd5b6e85d1194c8f9b013595ebe75c3dda06cce42e7721a57393aed17e9dd6437780b48378691d84b6e595999ce4321ad114b239313c7cf
+DIST eix-0.33.8.tar.xz 627116 BLAKE2B b301b4218d60c13a8d6c4be484b65e9bc257e6c4d1989054cc844861cd6ec96194e60094e72833f82cfaf1b1d14a249045590dbfc91a39e5c92d5dae13b2c643 SHA512 014ce5b660430e117e8037d8043bdfe5e6e98b7cb889e88d93aeb87e650296a8db64871f3eb736842dbebde7eb1f23936f6df9f5f547f89565734b7874e6e907
+DIST eix-0.33.11.tar.xz 623256 BLAKE2B 756feed85cb4f40ef9228a03d2a8b8470eb6017b00d93b364d67e3d11ecaacce2bb9c6afed388d9f70dfcb7a0b9ece13ca6ee523f5839b7d9bf80cf3b2721524 SHA512 2829d1482abfe479ae71e8b00da07abe74ba3090ba2a3f9d9a93437cb2d4d64213968bcd6c082a6703ec1d9c36dfcfaa0850172f3ffd4d256f553b98eeaf29e6
+DIST eix-0.33.9.tar.xz 627944 BLAKE2B cb4add12301a4f08b6ca052df92be34c8a448b386aa700e8ac7e1fbe8563cd76047994007ac94d8989747d843f70a5e1731b401510f58badd9811b30c2ce3be8 SHA512 7539a91d5b5343532ceab1f4aeb82a95413c39b1a57b9e7922032acc937cc8b839494fc40f3510218349561c6d50e89e1861d2fce5e60eabed2465316b28a756
+DIST eix-0.34.1.tar.xz 626484 BLAKE2B 3f33df9d3f45abc073d7b80a7a6b3574ef6c1372042cb1ec4f0b0213842bc48d8d5a76c005ece2c060a39b1c8778764eb1f6808e75bc10af6e366e33e10aa6c7 SHA512 86289d8dcb0cf87ad48c739aae637626f9e63200a48d019fc96e74f2851b2791a61741d5db72ceaf3e5a375fb0dbf9302b04f766c3def69bcaabb393545dc767
+DIST eix-0.34.2.tar.xz 626492 BLAKE2B 984411e459b18f0ade77569b1e972a8c59588a31ce6af4b998a5fa27f9d5a2cc75fe647641f0651f17b5e9b4dc5706444dc49bd09e9e070e666beb989403e303 SHA512 422123108c841dd7e02296fa38276e72c61c8cab5e9ebba1fd2cd23d2a4b2c68e1dc530e47428f0bc41e89983196c7b8319ee548789199e4673c04687bbc5aec
+DIST eix-0.34.4.tar.xz 628516 BLAKE2B 0c7cb4d7cd13d7715ba35cc0edd38e549fd1d1618bfdcacb272ee8325a844276a6df59a701ab2b4ecc693e5dad2d95c96c000e96eb8bce72709baf22f3fa490f SHA512 a96714fba8324529bf63de63f9eb11cc76da05e3d43c5eedad49079b6e3a1960376bd5d3bc116dba49bc7f694c7588741e518438936abd4b37edfe0a097ecd3d
diff --git a/app-portage/eix/eix-0.33.11.ebuild b/app-portage/eix/eix-0.33.11.ebuild
new file mode 100644
index 000000000000..5775fd89e163
--- /dev/null
+++ b/app-portage/eix/eix-0.33.11.ebuild
@@ -0,0 +1,107 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1 flag-o-matic tmpfiles
+
+DESCRIPTION="Search and query ebuilds"
+HOMEPAGE="https://github.com/vaeth/eix/"
+SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug doc nls sqlite"
+
+BOTHDEPEND="nls? ( virtual/libintl )
+ sqlite? ( >=dev-db/sqlite-3:= )"
+RDEPEND="${BOTHDEPEND}
+ >=app-shells/push-2.0-r1
+ >=app-shells/quoter-3.0_p2-r1"
+DEPEND="${BOTHDEPEND}
+ app-arch/xz-utils
+ nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ # remove stale cache file to prevent collisions
+ local old_cache=${EROOT}/var/cache/${PN}
+ if [[ -f ${old_cache} ]]; then
+ rm "${old_cache}" || die
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i -e "s:/:${EPREFIX}/:" tmpfiles.d/eix.conf || die
+
+ sed -e "/eixf_source=/s:push.sh:cat \"${EPREFIX}/usr/share/push/push.sh\":" \
+ -e "/eixf_source=/s:quoter_pipe.sh:cat \"${EPREFIX}/usr/share/quoter/quoter_pipe.sh\":" \
+ -i src/eix-functions.sh.in || die
+ sed -e "s:'\$(bindir)/eix-functions.sh':cat \\\\\"${EPREFIX}/usr/share/eix/eix-functions\\\\\":" \
+ -i src/Makefile.am || die
+ eapply "${FILESDIR}"/meta-repo.patch
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable debug paranoic-asserts)
+ $(use_enable nls)
+ $(use_with doc extra-doc)
+ $(use_with sqlite)
+
+ # default configuration
+ $(use_with prefix always-accept-keywords)
+ --with-dep-default
+ --with-required-use-default
+
+ # paths
+ --with-portage-rootpath="${ROOTPATH}"
+ --with-eprefix-default="${EPREFIX}"
+
+ # build a single executable with symlinks
+ --disable-separate-binaries
+ --disable-separate-tools
+
+ # used purely to control/disrespect *FLAGS
+ --disable-debugging
+ --disable-new_dialect
+ --disable-optimization
+ --disable-strong-optimization
+ --disable-security
+ --disable-nopie-security
+ --disable-strong-security
+ )
+
+ # https://github.com/vaeth/eix/issues/35
+ append-cxxflags -std=c++14
+
+ # work around https://github.com/vaeth/eix/issues/64, bug#687988
+ local -x mv_fCXXFLAGS_cache='-mindirect-branch=thunk'
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ dobashcomp bash/eix
+ dotmpfiles tmpfiles.d/eix.conf
+
+ rm -r "${ED}"/usr/bin/eix-functions.sh || die
+
+}
+
+pkg_postinst() {
+ tmpfiles_process eix.conf
+
+ local obs=${EROOT}/var/cache/eix.previous
+ if [[ -f ${obs} ]]; then
+ ewarn "Found obsolete ${obs}, please remove it"
+ fi
+}
+
+pkg_postrm() {
+ if [[ ! -n ${REPLACED_BY_VERSION} ]]; then
+ rm -rf "${EROOT}/var/cache/${PN}" || die
+ fi
+}
diff --git a/app-portage/eix/eix-0.33.6.ebuild b/app-portage/eix/eix-0.33.6.ebuild
new file mode 100644
index 000000000000..3404cf44bb5f
--- /dev/null
+++ b/app-portage/eix/eix-0.33.6.ebuild
@@ -0,0 +1,107 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools bash-completion-r1 flag-o-matic tmpfiles
+
+DESCRIPTION="Search and query ebuilds"
+HOMEPAGE="https://github.com/vaeth/eix/"
+SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug doc nls sqlite"
+
+BOTHDEPEND="nls? ( virtual/libintl )
+ sqlite? ( >=dev-db/sqlite-3:= )"
+RDEPEND="${BOTHDEPEND}
+ >=app-shells/push-2.0-r1
+ >=app-shells/quoter-3.0_p2-r1"
+DEPEND="${BOTHDEPEND}
+ app-arch/xz-utils
+ nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ # remove stale cache file to prevent collisions
+ local old_cache=${EROOT%/}/var/cache/${PN}
+ if [[ -f ${old_cache} ]]; then
+ rm "${old_cache}" || die
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i -e "s:/:${EPREFIX}/:" tmpfiles.d/eix.conf || die
+
+ sed -e "/eixf_source=/s:push.sh:cat \"${EROOT}usr/share/push/push.sh\":" \
+ -e "/eixf_source=/s:quoter_pipe.sh:cat \"${EROOT}usr/share/quoter/quoter_pipe.sh\":" \
+ -i src/eix-functions.sh.in || die
+ sed -e "s:'\$(bindir)/eix-functions.sh':cat \\\\\"${EROOT}usr/share/eix/eix-functions\\\\\":" \
+ -i src/Makefile.am || die
+ eapply "${FILESDIR}"/meta-repo.patch
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable debug paranoic-asserts)
+ $(use_enable nls)
+ $(use_with doc extra-doc)
+ $(use_with sqlite)
+
+ # default configuration
+ $(use_with prefix always-accept-keywords)
+ --with-dep-default
+ --with-required-use-default
+
+ # paths
+ --with-portage-rootpath="${ROOTPATH}"
+ --with-eprefix-default="${EPREFIX}"
+
+ # build a single executable with symlinks
+ --disable-separate-binaries
+ --disable-separate-tools
+
+ # used purely to control/disrespect *FLAGS
+ --disable-debugging
+ --disable-new_dialect
+ --disable-optimization
+ --disable-strong-optimization
+ --disable-security
+ --disable-nopie-security
+ --disable-strong-security
+ )
+
+ # https://github.com/vaeth/eix/issues/35
+ append-cxxflags -std=c++14
+
+ # work around https://github.com/vaeth/eix/issues/64, bug#687988
+ local -x mv_fCXXFLAGS_cache='-mindirect-branch=thunk'
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ dobashcomp bash/eix
+ dotmpfiles tmpfiles.d/eix.conf
+
+ rm -r "${ED%/}"/usr/bin/eix-functions.sh || die
+
+}
+
+pkg_postinst() {
+ tmpfiles_process eix.conf
+
+ local obs=${EROOT%/}/var/cache/eix.previous
+ if [[ -f ${obs} ]]; then
+ ewarn "Found obsolete ${obs}, please remove it"
+ fi
+}
+
+pkg_postrm() {
+ if [[ ! -n ${REPLACED_BY_VERSION} ]]; then
+ rm -rf "${EROOT%/}/var/cache/${PN}" || die
+ fi
+}
diff --git a/app-portage/eix/eix-0.33.8.ebuild b/app-portage/eix/eix-0.33.8.ebuild
new file mode 100644
index 000000000000..3404cf44bb5f
--- /dev/null
+++ b/app-portage/eix/eix-0.33.8.ebuild
@@ -0,0 +1,107 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools bash-completion-r1 flag-o-matic tmpfiles
+
+DESCRIPTION="Search and query ebuilds"
+HOMEPAGE="https://github.com/vaeth/eix/"
+SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug doc nls sqlite"
+
+BOTHDEPEND="nls? ( virtual/libintl )
+ sqlite? ( >=dev-db/sqlite-3:= )"
+RDEPEND="${BOTHDEPEND}
+ >=app-shells/push-2.0-r1
+ >=app-shells/quoter-3.0_p2-r1"
+DEPEND="${BOTHDEPEND}
+ app-arch/xz-utils
+ nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ # remove stale cache file to prevent collisions
+ local old_cache=${EROOT%/}/var/cache/${PN}
+ if [[ -f ${old_cache} ]]; then
+ rm "${old_cache}" || die
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i -e "s:/:${EPREFIX}/:" tmpfiles.d/eix.conf || die
+
+ sed -e "/eixf_source=/s:push.sh:cat \"${EROOT}usr/share/push/push.sh\":" \
+ -e "/eixf_source=/s:quoter_pipe.sh:cat \"${EROOT}usr/share/quoter/quoter_pipe.sh\":" \
+ -i src/eix-functions.sh.in || die
+ sed -e "s:'\$(bindir)/eix-functions.sh':cat \\\\\"${EROOT}usr/share/eix/eix-functions\\\\\":" \
+ -i src/Makefile.am || die
+ eapply "${FILESDIR}"/meta-repo.patch
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable debug paranoic-asserts)
+ $(use_enable nls)
+ $(use_with doc extra-doc)
+ $(use_with sqlite)
+
+ # default configuration
+ $(use_with prefix always-accept-keywords)
+ --with-dep-default
+ --with-required-use-default
+
+ # paths
+ --with-portage-rootpath="${ROOTPATH}"
+ --with-eprefix-default="${EPREFIX}"
+
+ # build a single executable with symlinks
+ --disable-separate-binaries
+ --disable-separate-tools
+
+ # used purely to control/disrespect *FLAGS
+ --disable-debugging
+ --disable-new_dialect
+ --disable-optimization
+ --disable-strong-optimization
+ --disable-security
+ --disable-nopie-security
+ --disable-strong-security
+ )
+
+ # https://github.com/vaeth/eix/issues/35
+ append-cxxflags -std=c++14
+
+ # work around https://github.com/vaeth/eix/issues/64, bug#687988
+ local -x mv_fCXXFLAGS_cache='-mindirect-branch=thunk'
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ dobashcomp bash/eix
+ dotmpfiles tmpfiles.d/eix.conf
+
+ rm -r "${ED%/}"/usr/bin/eix-functions.sh || die
+
+}
+
+pkg_postinst() {
+ tmpfiles_process eix.conf
+
+ local obs=${EROOT%/}/var/cache/eix.previous
+ if [[ -f ${obs} ]]; then
+ ewarn "Found obsolete ${obs}, please remove it"
+ fi
+}
+
+pkg_postrm() {
+ if [[ ! -n ${REPLACED_BY_VERSION} ]]; then
+ rm -rf "${EROOT%/}/var/cache/${PN}" || die
+ fi
+}
diff --git a/app-portage/eix/eix-0.34.4.ebuild b/app-portage/eix/eix-0.34.4.ebuild
new file mode 100644
index 000000000000..80450ba1ae98
--- /dev/null
+++ b/app-portage/eix/eix-0.34.4.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1 flag-o-matic tmpfiles
+
+DESCRIPTION="Search and query ebuilds"
+HOMEPAGE="https://github.com/vaeth/eix/"
+SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug doc nls sqlite"
+
+BOTHDEPEND="nls? ( virtual/libintl )
+ sqlite? ( >=dev-db/sqlite-3:= )"
+RDEPEND="${BOTHDEPEND}
+ >=app-shells/push-2.0-r1
+ >=app-shells/quoter-3.0_p2-r1"
+DEPEND="${BOTHDEPEND}
+ app-arch/xz-utils
+ nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ # remove stale cache file to prevent collisions
+ local old_cache=${EROOT}/var/cache/${PN}
+ if [[ -f ${old_cache} ]]; then
+ rm "${old_cache}" || die
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i -e "s:/:${EPREFIX}/:" tmpfiles.d/eix.conf || die
+
+ sed -e "/eixf_source=/s:push.sh:cat \"${EPREFIX}/usr/share/push/push.sh\":" \
+ -e "/eixf_source=/s:quoter_pipe.sh:cat \"${EPREFIX}/usr/share/quoter/quoter_pipe.sh\":" \
+ -i src/eix-functions.sh.in || die
+ sed -e "s:'\$(bindir)/eix-functions.sh':cat \\\\\"${EPREFIX}/usr/share/eix/eix-functions\\\\\":" \
+ -i src/Makefile.am || die
+ eapply "${FILESDIR}"/meta-repo.patch
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable debug paranoic-asserts)
+ $(use_enable nls)
+ $(use_with doc extra-doc)
+ $(use_with sqlite)
+ --without-protobuf
+
+ # default configuration
+ $(use_with prefix always-accept-keywords)
+ --with-dep-default
+ --with-required-use-default
+
+ # paths
+ --with-portage-rootpath="${ROOTPATH}"
+ --with-eprefix-default="${EPREFIX}"
+
+ # build a single executable with symlinks
+ --disable-separate-binaries
+ --disable-separate-tools
+
+ # used purely to control/disrespect *FLAGS
+ --disable-debugging
+ --disable-new_dialect
+ --disable-optimization
+ --disable-strong-optimization
+ --disable-security
+ --disable-nopie-security
+ --disable-strong-security
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ dobashcomp bash/eix
+ dotmpfiles tmpfiles.d/eix.conf
+
+ rm -r "${ED}"/usr/bin/eix-functions.sh || die
+}
+
+pkg_postinst() {
+ tmpfiles_process eix.conf
+
+ local obs=${EROOT}/var/cache/eix.previous
+ if [[ -f ${obs} ]]; then
+ ewarn "Found obsolete ${obs}, please remove it"
+ fi
+}
+
+pkg_postrm() {
+ if [[ ! -n ${REPLACED_BY_VERSION} ]]; then
+ rm -rf "${EROOT}/var/cache/${PN}" || die
+ fi
+}
diff --git a/app-portage/eix/files/meta-repo.patch b/app-portage/eix/files/meta-repo.patch
new file mode 100644
index 000000000000..42bc6eb30946
--- /dev/null
+++ b/app-portage/eix/files/meta-repo.patch
@@ -0,0 +1,12 @@
+diff -Nuar eix-0.33.2/src/eix-sync.sh.in eix-0.33.2-fixed/src/eix-sync.sh.in
+--- eix-0.33.2/src/eix-sync.sh.in 2017-01-20 21:44:53.000000000 +0200
++++ eix-0.33.2-fixed/src/eix-sync.sh.in 2017-09-22 20:08:42.317653399 +0300
+@@ -277,7 +277,7 @@
+ # Get options from cli
+
+ DefaultOpts() {
+- Push -c emergecmd 'emerge' '--sync'
++ Push -c emergecmd 'ego' 'sync'
+ Push -c updatecmd 'eix-update'
+ Push -c layman_opt
+ have_changed=false
diff --git a/app-portage/eix/metadata.xml b/app-portage/eix/metadata.xml
new file mode 100644
index 000000000000..ef73cba12de3
--- /dev/null
+++ b/app-portage/eix/metadata.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zlogene@gentoo.org</email>
+ <name>Mikle Kolyada</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>mgorny@gentoo.org</email>
+ <name>Michał Górny</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ <description>Upstream developer, CC on bugs, do not copy ebuilds
+ from his overlay</description>
+ </maintainer>
+ <use>
+ <flag name="debug">Build with upstream's CXXFLAGS/LDFLAGS for debugging support; not recommended for normal use.</flag>
+ <flag name="doc">Create description of the eix cache file additionally in html format</flag>
+ <flag name="sqlite">Compile in support for portage's sqlite backend; to actually use it you need additional configuration of portage and eix</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">vaeth/eix</remote-id>
+ </upstream>
+ <origin>kit-fixups</origin>
+</pkgmetadata>